\name{mmbgx}
\alias{mmbgx}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Multi-Match fully Bayesian integrated approach to the analysis of Affymetrix Gene arrays}
\description{
  'mmbgx' estimates Bayesian Gene eXpression (BGX) measures from an AffyBatch object.
}
\usage{
mmbgx(aData, arrayType=NULL, ensemblVersion=NULL, geneLevel=FALSE, burnin=8192,iter=16384,inputDirs=tempfile(paste("input", c(1:ncol(aData)), sep="_")), outputDir=".", standalone=FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{aData}{An \code{FeatureSet} object obtained by running \code{read.celfiles}.}
  \item{arrayType}{The type of array to analyse (e.g. HuGene-1\_0-st-v1), obtained by running \code{read.celfile.header}.}
  \item{ensemblVersion}{The Ensembl version to use (e.g. 64).}
  \item{geneLevel}{If set to FALSE, analyse at the Ensembl transcript level, otherwise analayse at the Ensembl gene level.}
  \item{burnin}{Number of burn-in iterations.}
  \item{iter}{Number of post burn-in iterations.}
  \item{inputDirs}{The names of the directories in which to place the input files. Temporary directories are used by default.}
  \item{outputDir}{The directory in which to save the output runs.}
  \item{standalone}{Only generate input directories - do not run MMBGX.}
}
\value{
  None.
}
\references{
Turro E., Lewin A., Rose A., Dallman M. J., Richardson S. MMBGX: a method for estimating expression at the isoform level and detecting differential splicing us- ing whole-transcript Affymetrix arrays. Nucleic Acids Research, 2010 Jan; 38(1):e4. doi: 10.1093/nar/gkp853.}

\author{Ernest Turro}
\note{mmbgx creates a directory in the outputDir directory called 'run.x' (x:1,2,3,...), wherein files are placed for further detailed analysis.
}
%\examples{

%}
\keyword{manip}% at least one, from doc/KEYWORDS
